Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/unibilium: new aport

From: Marvin Steadfast <marvin_at_xsteadfastx.org>
Date: Tue, 16 Feb 2016 09:52:50 +0000

https://github.com/mauke/unibilium/
A terminfo parsing library
---
 testing/unibilium/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/unibilium/APKBUILD
diff --git a/testing/unibilium/APKBUILD b/testing/unibilium/APKBUILD
new file mode 100644
index 0000000..579ae61
--- /dev/null
+++ b/testing/unibilium/APKBUILD
_at_@ -0,0 +1,30 @@
+# Contributor: Marvin Steadfast <marvin_at_xsteadfastx.org>
+# Maintainer: Marvin Steadfast <marvin_at_xsteadfastx.org>
+pkgname=unibilium
+pkgver=1.2.0
+pkgrel=0
+pkgdesc="A terminfo parsing library"
+url="https://github.com/mauke/unibilium/"
+arch="all"
+license="LGPL3"
+depends=""
+depends_dev="libtool"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="$pkgname-$pkgver.tar.gz::https://github.com/mauke/unibilium/archive/v$pkgver.tar.gz"
+
+_builddir="$srcdir"/"$pkgname"-"$pkgver"
+build() {
+	cd "$_builddir"
+	make PREFIX=/usr || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make PREFIX=/usr DESTDIR="$pkgdir" install || return 1	
+}
+
+md5sums="9b1c97839a880a373da6c097443b43c4  unibilium-1.2.0.tar.gz"
+sha256sums="623af1099515e673abfd3cae5f2fa808a09ca55dda1c65a7b5c9424eb304ead8  unibilium-1.2.0.tar.gz"
+sha512sums="7aff79669200810c2910006aba657ca2276123ecb3e6e0ba01fa2d1c3cdf838c391594e6035ef150deb6185c4f1e43fe1b0bfb59b23c6697d801a5bdee37a0ee  unibilium-1.2.0.tar.gz"
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Feb 16 2016 - 09:52:50 GMT